import os
import twilio.rest  # pylint: disable=import-error


TWILIO_ACCOUNT_SID = os.environ["TWILIO_ACCOUNT_SID"]
TWILIO_API_KEY = os.environ["TWILIO_API_KEY"]
TWILIO_API_SECRET = os.environ["TWILIO_API_SECRET"]
TWILIO_FROM_NUMBER = os.environ["TWILIO_FROM_NUMBER"]
TWILIO_TO_NUMBER = os.environ["TWILIO_TO_NUMBER"]


# pylint: disable=unused-argument
def handler(event, context):
    message = event["Records"][0]["Sns"]["Message"]
    client = twilio.rest.Client(
        TWILIO_API_KEY, TWILIO_API_SECRET, TWILIO_ACCOUNT_SID
    )
    client.messages.create(
        body=message,
        from_=TWILIO_FROM_NUMBER,
        to=TWILIO_TO_NUMBER,
    )


if __name__ == "__main__":
    handler({"Records": [{"Sns": {"Message": "foo"}}]}, "context")
